package com.fjhx.enums;

import lombok.Getter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 入库类型
 */
@Getter
public enum MessageTypeEnum {

    READ(1, "启动读写器并返回所有数据"),
    DISTINCT_READ(2, "启动读写器并返回去重数据"),
    SEND_RFID(3, "推送rfid"),
    CLOSE(9, "关闭读写器");

    private final Integer type;
    private final String name;

    private static final HashMap<Integer, MessageTypeEnum> map = new HashMap<>();
    private static final List<Integer> list = new ArrayList<>();

    MessageTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }

    static {
        for (MessageTypeEnum value : MessageTypeEnum.values()) {
            map.put(value.getType(), value);
            list.add(value.getType());
        }
    }

    /**
     * 根据type获取枚举
     */
    public static MessageTypeEnum get(Integer type) {
        return map.get(type);
    }

    /**
     * 根据type值获取枚举
     */
    public static String getName(Integer type) {
        return map.get(type).getName();
    }

    public static List<Integer> list() {
        return list;
    }


}
