package com.fjhx.service;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.MyMain;
import com.fjhx.constant.WebSocketConstant;
import com.fjhx.entity.ConnectConfig;
import com.fjhx.entity.MessageEntity;
import com.fjhx.utils.MyUtil;

import java.util.Date;
import java.util.List;

public interface Operation {

    /**
     * 开启扫描rfid,并推送去重数据
     *
     * @param userId            用户id
     * @param sessionId         会话id
     * @param connectConfigList ip配置列表
     */
    void distinctRead(String userId, String sessionId, List<ConnectConfig> connectConfigList, JSONObject data);

    /**
     * 关闭扫描
     */
    void close();

    /**
     * 发送rfid数据
     *
     * @param rfid rfid
     */
    default void sendRfidDate(String userId, String sessionId, String rfid, JSONObject data) {
        MessageEntity messageEntity = new MessageEntity();

        messageEntity.setUserId(userId);
        messageEntity.setSessionId(sessionId);
        messageEntity.setCreateTime(new Date());
        messageEntity.setType(WebSocketConstant.PUSH_RFID);

        data.put("rfid", rfid);
        messageEntity.setData(data);

        String jsonString = JSONObject.toJSONString(messageEntity);
        MyMain.client.send(jsonString);

        MyUtil.infoLog(jsonString);
    }

}
